<?php
use yii\base\Object;
use common\models\Ticket;
use frontend\model\ReceptionForm;
use yii\helpers\Html;
use yii\helpers\Url;
use common\models\Contract;
use common\components\Helper;
use common\models\Card;
use common\models\DoorLog;

/* @var $this yii\web\View */
/* @var $model frontend\model\ReceptionForm */
?>
<style>
</style>
<?php 
$ticket = null;
if ( count($model->tickets) > 0 ){
	$ticket = $model->tickets[0];
}

if ( isset($model->card)){
	if ( isset($model->customer)){
		if ( $model->card->flag == 0 ){
			if ( isset($ticket)){
				echo Html::beginTag("div",['class'=>"alert alert-success" , "role"=>"alert"]);
				echo Html::beginTag("strong",[ ]);
				echo "Érvényes bérlet!" ;
				echo Html::endTag("strong");
				echo Html::tag("br");
				echo Html::beginTag("strong",[ ]);
				echo "Típus: " ;
				echo Html::endTag("strong");
				echo  $ticket->ticketTypeName ;
				echo Html::tag("br");
				echo Html::beginTag("strong",[ ]);
				echo "Érvényes: " ;
				echo Html::endTag("strong");
				echo Yii::$app->formatter->asDate($ticket->start);
				echo "&nbsp;-&nbsp;";
				echo Yii::$app->formatter->asDate($ticket->end);
				echo Html::endTag("div");
			}else{
				echo Html::beginTag("div",['class'=>"alert alert-danger", "role"=>"alert"]);
				echo Html::beginTag("strong",[ ]);
				echo "Bérlet lejárt vagy nem érvényes!";
				echo Html::endTag("strong");
				echo Html::endTag("div");
			}
		} else{
			echo Html::beginTag("div",['class'=>"alert alert-danger", "role"=>"alert"]);
			echo "Kártya korlátozás:"; 
			echo "<br>";
			echo Html::beginTag("strong",[ ]);
			echo Helper::getArrayValue(DoorLog::getCardFlagTexts(), $model->card->flag, "Ismeretlen ok") ;
			echo Html::endTag("strong");
			echo Html::endTag("div");
		}
	}else{
		echo Html::beginTag("div",['class'=>"alert alert-info" ,"role"=>"alert"]);
		echo Html::beginTag("strong",[ ]);
		echo "Üres bérlet!";
		echo Html::endTag("strong");
		echo Html::endTag("div");
	}
}else{
	echo Html::beginTag("div",['class'=>"alert alert-warning" ,"role"=>"alert"]);
	echo Html::beginTag("strong",[ ]);
	echo "Nincs bérlet megadva!";
	echo Html::endTag("strong");
	echo Html::endTag("div");
}


if ( isset($model->contract)){
	/**  @var common\models\Contract $contract*/
	$contract = $model->contract;
	if ( $contract->isFlagActive() ){
		if ( $model->contract->isStatusNotPaid() ){
			echo Html::beginTag("div",['class'=>"alert alert-danger", "role"=>"alert"]);
			echo Html::beginTag("strong",[ ]);
			echo "Szerződés részlete nincs fizetve!";
			echo Html::a("Szerződés részletei",Url::toRoute(['contract/view','id' => $model->contract->id_contract]));
			echo Html::endTag("strong");
			echo Html::endTag("div");
		}else{
			echo Html::beginTag("div",['class'=>"alert alert-success", "role"=>"alert"]);
			echo Html::beginTag("strong",[ ]);
			echo "Érvényes szerződés!";
			echo Html::a("Szerződés részletei",Url::toRoute(['contract/view','id' => $model->contract->id_contract]));
			echo Html::endTag("strong");
			echo Html::endTag("div");
		}
	}else{
		
		if ( $contract->isFlagCanceled() ){
			echo Html::beginTag("div",['class'=>"alert alert-danger", "role"=>"alert"]);
			echo Html::beginTag("strong",[ ]);
			echo "Szerződés felbontva !";
			echo Html::a("Szerződés részletei",Url::toRoute(['contract/view','id' => $model->contract->id_contract]));
			echo Html::endTag("strong");
			echo Html::endTag("div");
		}
	}
}

?>